LIBKECCAK_GENERALISED_SPEC_INITIALISE(3)

NAME
libkeccak_generalised_spec_initialise - Set all specification parameters to automatic

SYNOPSIS
#include <libkeccak.h>
void libkeccak_generalised_spec_initialise(struct libkeccak_generalised_spec *spec);

Link with -lkeccak.

DESCRIPTION
The libkeccak_generalised_spec_initialise() function initialises *spec, so that all parameters are configured to be automatically selected.

Automatic selection means that value will be set to the default, which depends on the other settings.

Specifically, all members of *spec, will be set to LIBKECCAK_GENERALISED_SPEC_AUTOMATIC.

RETURN VALUES
The libkeccak_generalised_spec_initialise() function does not return any value.

ERRORS
The libkeccak_generalised_spec_initialise() function cannot fail.

SEE ALSO
libkeccak_degeneralise_spec(3), libkeccak_spec_cshake(3), libkeccak_spec_sha3(3), libkeccak_spec_rawshake(3), libkeccak_spec_shake(3)